2012年4月10日火曜日

DartEditor で zen-coding を使う

DartEditor は Eclipse ベースのエディターなので、試しに zen-coding の Eclipse のプラグインを移したら、できるようになりました!わーい。

zen-coding のサイト
zen-coding - Set of plugins for HTML and CSS hi-speed coding - Google Project Hosting -

から、Eclipse 用の plugin-in のページ
sergeche/eclipse-zencoding - http://goo.gl/3n7aZ

にいくと、Eclipse へのインストール方法が書いてあります。
簡単にいうと、[Help] - [Install New Software...] で http://zen-coding.ru/eclipse/updates/ (もしくは http://media.chikuyonok.ru/eclipse/updates/) を指定してインストールします。

このプラグインがインストールされた Eclipse のディレクトリの中の
  • features/ru.zencoding.eclipse_xxx
  • plugins/ru.zencoding.eclipse_xxx
をそれぞれ DartEditor の features/ と plugins/ にコピーします。

さらに、configuration/org.eclipse.equinox.simpleconfigurator/bundles.info の中の

ru.zencoding.eclipse,0.8.0.201201232221,plugins/ru.zencoding.eclipse_0.8.0.201201232221.jar,4,false

を DartEditor の configuration/org.eclipse.equinox.simpleconfigurator/bundles.info の中に追加します。


ここまでやったら後は DartEditor を起動するだけ。

DartEditor の Prefereces に Zen Coding の項目が出ていれば成功!



html ファイルで html:5 と打ってタブを押したら↓に変換されるー! <!DOCTYPE HTML> <html lang="en-US"> <head> <meta charset="UTF-8"> <title></title> </head> <body> </body> </html>





1 件のコメント:

  1. Did you know that you can create short links with AdFly and get dollars for every click on your shortened urls.

    返信削除